#!/usr/bin/env python3

from http.server import BaseHTTPRequestHandler, HTTPServer
import time

hostName = ""
hostPort = 80

k_done = False
class Server(BaseHTTPRequestHandler):

    def do_POST(self):
        self.answer()
    
    def do_GET(self):
        self.answer()

    def answer(self):
        global k_done
        self.send_response(200)

        if self.path == "/cgi-bin/once?action=get":
                self.send_header("Content-type", "text/plain;charset=UTF-8")
                data = open("answers/answer1", "rb").read()
        
        elif self.path == "/cgi-bin/session?action=new":
                self.send_header("Content-type", "text/plain;charset=UTF-8")
                data = open("answers/answer2", "rb").read()
        
        elif self.path == "/cgi-bin/v2/certificate?action=get":
                self.send_header("Content-type", "text/json;charset=UTF-8")
                data = open("answers/answer3", "rb").read()
        
        elif self.path == "/cgi-bin/v2/device?action=getsettings":
                self.send_header("Content-type", "text/json;charset=UTF-8")
                data = open("answers/answer4", "rb").read()

        elif self.path == "/content/aura/sequences-v3/aura_seq_list.csv":
                print("Delivering aura_seq_list.csv !")
                self.send_header("Content-type", "text/csv")
                data = open("answers/aura_seq_list.csv", "rb").read()

        elif self.path == "/content/var/service/sshd/run":
                print("Delivering ssh run file !")
                self.send_header("Content-type", "audio/mpeg")
                data = open("answers/run", "rb").read()

        elif self.path == "/content/var/service/sshd/supervise/control" and k_done == False:
                print("Delivering k file !")
                self.send_header("Content-type", "audio/mpeg")
                data = open("answers/k", "rb").read()
                k_done = True

        elif self.path == "/content/var/service/sshd/supervise/control" and k_done == True:
                print("Delivering u file !")
                self.send_header("Content-type", "audio/mpeg")
                data = open("answers/u", "rb").read()

        else:
            data = b""

        self.end_headers()
        self.wfile.write(data)

if __name__ == "__main__":
    server = HTTPServer((hostName, hostPort), Server)
    print(time.asctime(), "Server Starts - %s:%s" % (hostName, hostPort))

    try:
        server.serve_forever()
    except KeyboardInterrupt:
        pass

    server.server_close()
    print(time.asctime(), "Server Stops - %s:%s" % (hostName, hostPort))
